# norootforbuild
%define pkg_name    fam
%define pkg_version 5.0.1
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-fam
Version:	%{pkg_version}
Release:	3.6
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php5-devel fam-devel gcc gcc-c++ zlib-devel libpng-devel
Requires:	php5 = %{php_version}
#
URL:		http://pecl.php.net/
Source:		http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
Summary:	File Alteration Monitor functions

%description
FAM monitors files and directories, notifying interested
applications of changes.
A PHP script may specify a list of files for FAM to monitor
using the functions provided by this extension.
The FAM process is started when the first connection from
any application to it is opened. It exits after all
connections to it have been closed.

Authors:
---------

		Thierry Fournier
		Sascha Schumann

%debug_package

%prep
%setup -n %{pkg_name}-%{version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-fam=%{_usr} --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable fam extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/fam.ini
echo "extension = fam.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/fam.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/fam.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/fam.ini

%doc CREDITS

%changelog
* Tue Nov 10 2009 Carsten Schoene <cs@linux-administrator.com> - 5.0.1-1
- initial build version 5.0.1
